%define dbus_version 0.90
%define dbus_glib_version 0.70

Summary: C# bindings for D-Bus
Name: dbus-sharp
Version: 0.63
Release: 12%{?dist}.1
URL: http://www.freedesktop.org/software/dbus/
Source0: %{name}-%{version}.tar.gz
License: AFL or GPLv2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: chkconfig >= 1.3.26
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: autoconf
BuildRequires: automake, libtool
BuildRequires: mono-devel
# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparc alpha s390 s390x

Patch1: dbus-sharp-0.63-nogtk.patch
Patch2: dbus-sharp-gchandle.patch

%description

D-Bus mono bindings for use with mono programs.

%package devel
Summary: pkgconfig file for D-Bus Sharp
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: pkgconfig

%description devel

pkgconfig file for D-Bus Sharp development.

%prep
%setup -q
%patch1 -p1 -b .nogtk
%patch2 -p1 -b .gchandle

%build
autoreconf --force --install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS
%{_libdir}/mono/dbus-sharp
%{_libdir}/mono/gac/dbus-sharp

%files devel
%{_libdir}/pkgconfig/dbus-sharp.pc

%changelog
* Wed Jun 17 2009 Karsten Hopp <karsten@redhat.com> 0.63-12.1
- mono is now available on s390x

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.63-12
- build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.63-10
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.63-9
- Autorebuild for GCC 4.3

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.63-8
- Add alpha to ExlusiveArch

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.63-7
- Fix license field
- Add pkgconfig dependency to the -devel package

* Wed Aug 30 2006 Alexander Larsson <alexl@redhat.com> - 0.63-6
- Fix connection and message gc problem (#187452)
- Patch from Christian Krause

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.63-5
- Update for new mono multilib setup
- Don't buildrequire old gtk-sharp

* Thu Jul 20 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-4
- Remove from the s390 builds

* Thu Jul 20 2006 Warren Togami <wtogami@redhat.com> - 0.63-3
- remove unnecessary obsolete

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-2
- Spec file cleanups

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-1
- Initial dbus-glib package
